Join us for our Developer Platform Hackathon, May 16-17. Apply now →
import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.databases.update({
database_id: "d9824bdc-8445-4327-be8b-5b47500af6ce",
title: [{ text: { content: "Updated Database Title" } }]
}){
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}import { Client } from "@notionhq/client"
const notion = new Client({ auth: process.env.NOTION_API_KEY })
const response = await notion.databases.update({
database_id: "d9824bdc-8445-4327-be8b-5b47500af6ce",
title: [{ text: { content: "Updated Database Title" } }]
}){
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Documentation Index
Fetch the complete documentation index at: https://developers.notion.com/llms.txt
Use this file to discover all available pages before exploring further.
This page describes the API for versions up to and including
2022-06-28. In the new 2025-09-03 version, the concepts of databases and data sources were split up, as described in Upgrading to 2025-09-03.Refer to the new APIs instead:properties body param with this endpoint. Learn more about database properties in the database properties and Update database properties docs.
To update a relation database property, share the related database with the connection. Learn more about relations in the database properties page.
For an overview of how to use the REST API with databases, refer to the Working with databases guide.
validation_error code with a message identifying the largest property by name, ID, and byte size to help you reduce your schema size.
formulaselectstatusmulti_select database property’s options values. An option can be removed, but not updated.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The API version to use for this request. The latest version is 2026-03-11.
2026-03-11 ID of a Notion database, a container for one or more data sources.
The parent page or workspace to move the database to. If not provided, the database will not be moved.
Show child attributes
The updated title of the database, if any. If not provided, the title will not be updated.
100Show child attributes
The updated description of the database, if any. If not provided, the description will not be updated.
100Show child attributes
Whether the database should be displayed inline in the parent page. If not provided, the inline status will not be updated.
The updated icon for the database, if any. If not provided, the icon will not be updated.
Show child attributes
The updated cover image for the database, if any. If not provided, the cover will not be updated.
Show child attributes
Whether the database should be moved to or from the trash. If not provided, the trash status will not be updated.
Whether the database should be locked from editing in the Notion app UI. If not provided, the locked state will not be updated.